Skip to content
Start here

List Image Resizing configurations for account

accounts.speed_settings.transformations.get(TransformationGetParams**kwargs) -> SyncSinglePage[TransformationsConfig]
GET/accounts/{account_id}/settings/transformations

Returns a list of Image Resizing configurations across all zones for the account. This endpoint is useful for retrieving the transformations (image_resizing) state for all zones belonging to an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class TransformationsConfig:

A configuration item for a specific zone and feature.

id: Optional[str]

Feature identifier.

cf_zone_tag: Optional[str]

Zone tag identifier.

editable: Optional[bool]

Whether this setting can be modified.

modified_on: Optional[datetime]

When this setting was last modified.

formatdate-time
value: Optional[str]

Current value of the feature setting.

List Image Resizing configurations for account

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.accounts.speed_settings.transformations.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "image_resizing",
      "cf_zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "editable": true,
      "modified_on": "2024-01-15T10:30:00Z",
      "value": "on"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "image_resizing",
      "cf_zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "editable": true,
      "modified_on": "2024-01-15T10:30:00Z",
      "value": "on"
    }
  ]
}